Get Manifest Schema for Agent Configuration
curl --request GET \
--url https://api.mixpeek.com/v1/discovery/schema \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mixpeek.com/v1/discovery/schema"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mixpeek.com/v1/discovery/schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"manifest_version": "<string>",
"resource_types": [
"<string>"
],
"schemas": {},
"dependency_graph": {},
"examples": {}
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}Discovery
Get Manifest Schema for Agent Configuration
Returns the complete manifest schema including all resource types, their JSON schemas, dependency graph, and YAML examples. Use this for programmatic manifest generation and validation.
GET
/
v1
/
discovery
/
schema
Get Manifest Schema for Agent Configuration
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful Response
Manifest schema discovery for agent-driven configuration.
Current manifest schema version
List of supported resource types
JSON Schema for each resource type
Resource dependencies (key depends on values)
Show child attributes
Show child attributes
YAML example for each resource type
Show child attributes
Show child attributes
Was this page helpful?
⌘I

